List Account Exclusions
List the account-level exclusions in the workspace.
Requires the account_exclusions:read scope on the API key.
curl --request GET \
--url https://api.topo.io/v1/account-exclusions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/account-exclusions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/account-exclusions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"reason": "BAD_TIMING",
"message": "<string>",
"until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}Authorizations
Bearer API key issued from Settings → Developers.
Query Parameters
Page number.
x >= 1Number of items per page.
1 <= x <= 100Field to sort by.
created_at, updated_at, domain, reason Sort direction.
asc, desc Filter by excluded domain (exact match).
Filter by reason.
BAD_TIMING, BOUNCED, COMPETITOR, CONTACT_REFUSED, INTERESTED, MEETING, NOT_INTERESTED, OTHER, OUT_OF_OFFICE, UNKNOWN, UNSUBSCRIBED, WRONG_PERSON, EXCLUDE_FROM_SEARCH, EXCLUDE_FROM_CRM, REFERRAL, LEFT_COMPANY Return exclusions created strictly before this timestamp.
Return exclusions created strictly after this timestamp.
Response
Successful Response
Records on this page.
Hide child attributes
Hide child attributes
Unique identifier.
Excluded account domain.
Reason for the exclusion.
BAD_TIMING, BOUNCED, COMPETITOR, CONTACT_REFUSED, INTERESTED, MEETING, NOT_INTERESTED, OTHER, OUT_OF_OFFICE, UNKNOWN, UNSUBSCRIBED, WRONG_PERSON, EXCLUDE_FROM_SEARCH, EXCLUDE_FROM_CRM, REFERRAL, LEFT_COMPANY Operator note.
When the exclusion expires.
When the exclusion was created.
When the exclusion last changed.
Total number of records matching the query.
Total number of pages.
Whether more pages remain after the current one.
Was this page helpful?
curl --request GET \
--url https://api.topo.io/v1/account-exclusions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/account-exclusions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/account-exclusions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"reason": "BAD_TIMING",
"message": "<string>",
"until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}